import unittest
from jlp import MergeProposalReview
from mock import MagicMock


class MergeProposalReviewTestCase(unittest.TestCase):
    review = None
    job_name = 'test-job'

    def setUp(self):
        mp = MagicMock()
        mp.web_link = 'http://my-example-url.com'
        self.review = MergeProposalReview(mp)

    def test_is_unlocked(self):
        self.review.unlock()
        self.assertFalse(self.review.is_locked())

    def test_is_locked(self):
        self.review.lock(self.job_name)
        self.assertTrue(self.review.is_locked())

    def test_get_job_name(self):
        self.review.lock(self.job_name)
        self.assertEquals(self.review.get_jenkins_job(), self.job_name)

    def test_get_job_name_with_unlocked_mp(self):
        self.review.unlock()
        self.assertEquals(self.review.get_jenkins_job(), None)
